<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Flagged orders</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row row">
              <div class="col-xs-4 autocomplete-field-container">
                <div>
                  <mat-chip-list #chipList2>
                    <mat-chip *ngFor="let order of ordersFilter" selectable="true" removable="true"
                      (removed)="removeOrder(order)" style="font-size:10px;">
                      {{order}}
                      <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
                    </mat-chip>
                    <div style="position:relative; width: 100%; height: 40px;">
                      <input style="width: 100%; margin: 0px; flex: 1 0 150px;" class="form-control"
                        [formControl]="orderCtrl" placeholder="Enter Order Id" [matChipInputFor]="chipList2"
                        [matAutocomplete]="auto3">
                    </div>
                  </mat-chip-list>
                  <mat-autocomplete #auto3="matAutocomplete" [displayWith]="displayFnOrderId"
                    (optionSelected)="orderIdselected($event)">
                    <mat-option *ngFor="let orderId of allOrderIddata" [value]="orderId">
                      {{orderId.unique_order_id}}
                    </mat-option>
                    <mat-option *ngIf="allOrderIddata=='' && allOrderIddata!.length == 0">No
                      Matches Found</mat-option>
                  </mat-autocomplete>
                </div>
              </div>
              <div class="col-xs-4">
                <mat-chip-list #chipList3>
                  <mat-chip *ngFor="let driver of driversFilter" selectable="true" removable="true"
                    (removed)="removeDriver(driver)" style="font-size:10px;">
                    {{driver.username}}
                    <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
                  </mat-chip>
                  <input class="form-control" [formControl]="driverCtrl" placeholder="Enter Driver Id"
                    [matChipInputFor]="chipList3" [matAutocomplete]="auto4">
                </mat-chip-list>
                <mat-autocomplete #auto4="matAutocomplete" [displayWith]="displayFnDriver"
                  (optionSelected)="driverIdselected($event)">
                  <mat-option *ngFor="let orderId of driverList" [value]="orderId">
                    {{orderId.username}}
                  </mat-option>
                  <mat-option *ngIf="driverList!.length == 0">No
                    Matches Found</mat-option>
                </mat-autocomplete>
              </div>
              <div class="col-xs-4">
                <mat-select [(ngModel)]="issue_type" name="issue_type" class="form-control" placeholder="Issue type"
                  multiple>
                  <mat-option value="OPERATIONAL ISSUES">OPERATIONAL ISSUES</mat-option>
                  <mat-option value="DRIVER ISSUES">DRIVER ISSUES</mat-option>
                </mat-select>
              </div>
            </div>
            <div class="fm-row row">
              <div class="col-xs-2 custom-position">
                <input [(ngModel)]="selectedMoment" name="start_date" [max]="max" [owlDateTimeTrigger]="dtPicker1"
                  [owlDateTime]="dtPicker1" placeholder="Start Date" class="form-control"
                  (click)="checkShiftstartTime()">
                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"
                  (click)="checkShiftstartTime()"></i>
                <owl-date-time #dtPicker1></owl-date-time>
              </div>

              <div class="col-xs-2 custom-position">
                <input [(ngModel)]="selectedMoment1" name="end_date" [min]="selectedMoment"
                  [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End Date"
                  class="form-control">
                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"></i>
                <owl-date-time #dtPicker2></owl-date-time>
              </div>
              <div class="col-sm-3"></div>
              <div class="col-sm-2 col-md-2 text-right">
                <div class="icons">
                  <a [ngStyle]="{ 'color' : statusColor('dispatcher')}" (click)="colorFilter('dispatcher')"
                    matTooltip="Dispatcher"><i aria-hidden="true" class="fa fa-headphones"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('kiosk')}" (click)="colorFilter('kiosk')" matTooltip="KIOSK"><i aria-hidden="true"
                      class="fa fa-desktop"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('customer')}" (click)="colorFilter('customer')"
                    matTooltip="Customer"><i aria-hidden="true" class="fa fa-user"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('website')}" (click)="colorFilter('website')"
                    matTooltip="Website"><i aria-hidden="true" class="fa fa-globe"></i></a>
                  <a [ngStyle]="{ 'color' : statusColor('driver')}" (click)="colorFilter('driver')"
                    matTooltip="Driver"><i aria-hidden="true" class="fa fa-taxi"></i></a>
                </div>
              </div>
              <div class="col-sm-3">
                <span matTooltip="CSV" style="cursor: pointer" *ngIf="downloads">
                  <img src="assets/img/csv.png" (click)="getconstantsforcsv()" alt="csv"/>
                </span>
                <button (click)="getOrders()" class="btn btn-sm btn-primary blue">
                  <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                <button class="btn btn-sm btn-primary red" (click)="reset()">
                  <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters </button>
              </div>
            </div>
            <div class="fm-row row">
              <div class="col-md-12">
                <div *ngIf="creatingcsv">
                  <progress-bar [progress]="progressvalue" [color]="'#211d46'">
                  </progress-bar>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div *ngIf="orderLength>0">Total records :{{orderLength}}</div>
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped driver-listing table-bordered zoom">
                  <thead>
                    <tr>
                      <th scope="col">ID</th>
                      <th scope="col">Flagged cases</th>
                      <th scope="col">Timestamp</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let order of orderData">
                      <td>
                        <span>{{order.unique_order_id ? order.unique_order_id : 'NA'}}
                        </span>
                      </td>
                      <td>
                        <div *ngIf='order.flagged_cases'>
                          <table aria-describedby="Manage Company" class="table table-bordered small">
                            <tr>
                              <th scope="col" *ngIf='order.flagged_cases.customer_cancellation'>Customer cancellation</th>
                              <th scope="col" *ngIf='order.flaggedDrivers && order.flaggedDrivers.length>0'>
                                Flagged drivers</th>
                              <th scope="col" *ngIf='order.flagged_cases.issues_type && order.flagged_cases.issues_type.length>0'>
                                Issue types</th>
                              <th scope="col" *ngIf='order.flagged_cases.order_timed_out_drivers && order.flagged_cases.order_timed_out_drivers.length>0'>
                                Order timed out drivers</th>
                              <th scope="col" *ngIf="order.flagged_cases.rejected_drivers && order.flagged_cases.rejected_drivers.length>0">
                                Rejected drivers</th>
                            </tr>
                            <tr>
                              <td *ngIf='order.flagged_cases.customer_cancellation'>
                                {{order.flagged_cases.customer_cancellation}}
                              </td>
                              <td *ngIf='order.flaggedDrivers && order.flaggedDrivers.length>0'>
                                <span *ngFor="let fc of order.flaggedDrivers">
                                  <div class="pop-up"><span>{{fc.username}}</span>
                                    <div class="popup-box">
                                      Driver name: <span style="float:right"><strong>{{fc.name}}</strong></span><br />
                                      Phone number: <span style="float:right"><strong>{{fc.phone_number}}</strong></span>
                                    </div>
                                  </div>
                                  <br />
                                </span>
                              </td>
                              <td *ngIf='order.flagged_cases.issues_type && order.flagged_cases.issues_type.length>0'>
                                <span *ngFor="let it of order.flagged_cases.issues_type">
                                  {{it}}<br />
                                </span>
                              </td>
                              <td
                                *ngIf='order.flagged_cases.order_timed_out_drivers && order.flagged_cases.order_timed_out_drivers.length>0'>
                                <span *ngFor="let ot of order.flagged_cases.order_timed_out_drivers">
                                  {{ot}}<br />
                                </span>
                              </td>
                              <td
                                *ngIf="order.flagged_cases.rejected_drivers && order.flagged_cases.rejected_drivers.length>0">
                                <span *ngFor="let rd of order.flagged_cases.rejected_drivers">
                                  {{rd}}<br />
                                </span>
                              </td>
                            </tr>
                          </table>
                        </div>
                      </td>
                      <td>
                        <span>{{order.order_created_time ? order.order_created_time: ' NA '}}</span>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>
              <div class="container-fluid" *ngIf="orderLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div>
                      <ngb-pagination [collectionSize]="orderLength" (pageChange)="pagingAgent($event)"
                        [(page)]="pageNo" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="orderLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>